Ubuntu MobSF installieren

2021-02-28 von Mario

Mit dieser Anleitung kann die Software Mobile Security Framework (MobSF) manuell installiert werden. MobSF ist ein Analyse Framework für Mobile Applikationen (Android/iOS/Windows).

1. Downloaden

git clone https://github.com/MobSF/Mobile-Security-Framework-MobSF.git
cd Mobile-Security-Framework-MobSF

2. Abhängigkeiten installieren

apt-get install python3-venv
pip3 install -r requirements.txt

3. Setup starten

Das Script „setup.sh“ ausführen:

./setup.sh

Danach MobSF mit

./run.sh

starten und im Browser http://0.0.0.0:8000 aufrufen.

 

4. Bibliothek für PDF-Erstellung installieren

sudo apt install -y wkhtmltopdf

 

Kategorie: IT

Ubuntu Terminator installieren

2021-02-22 von Mario

Mit dieser Anleitung kann die Software Terminator manuell installiert werden.

1. Downloaden und Entpacken

Als erstes die Software herunterladen: https://github.com/gnome-terminator/…/terminator-2.1.0.tar.gz

tar xzvf terminator-2.1.0.tar.gz
cd terminator-2.1.0/

2. Abhängigkeiten installieren

Intltool besteht aus einer Reihe von Tools zur Zentralisierung von Übersetzungen vieler verschiedener Dateiformate.

sudo apt install intltool

3. Terminator installieren

python3 setup.py build
sudo python3 setup.py install
Kategorie: IT

Kali 2020.4 – Installation von Discord – libappindicator1

2021-01-31 von Mario

Mit der Anleitung kann Discord unter Kali 2020.4 installiert werden.

1) System updaten

Als erstes das System aktualisieren:

sudo apt-get update 
sudo apt-get upgrade

2) Gdebi installieren

Gdebi ist ein alternatives grafisches Installationsprogramm für Einzelpakete.

sudo apt-get install gdebi

3) Download der aktuellen Discord Version

wget -O discord-0.0.13.deb 
"https://discordapp.com/api/download?platform=linux&format=deb"

4) Discord installieren

sudo gdebi discord-0.0.13.deb

5) Discord starten

discord

 

Troubleshoot – libappindicator1

Spätestens bei Schritt vier erscheint folgende Fehlermeldung:

sudo gdebi discord-0.0.13.deb 
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Reading state information... Done
This package is uninstallable
Dependency is not satisfiable: libappindicator1

Die Bibliothek „libappindicator1“ wurde aus dem Kali Repository entfernt https://pkg.kali.org/pkg/libappindicator. Das Bibliothek muss selbst heruntergeladen und installiert werden.

1) Download der aktuellen libappindicator1 Version.

Link: https://http.kali.org/pool/main/liba/libappindicator

wget -O libappindicator1_0.4.92-8_amd64.deb 
"https://http.kali.org/pool/main/liba/libappindicator/libappindicator1_0.4.92-8_amd64.deb"

2) Download der aktuellen libindicator7 Version

Link: https://http.kali.org/pool/main/libi/libindicator/

wget -O libindicator7_0.5.0-4_amd64.deb 
"https://http.kali.org/pool/main/libi/libindicator/libindicator7_0.5.0-4_amd64.deb"

3) Installation

Damit die „libappindicator“ Bibliothek installiert werden kann, muss zuvor die aktuelle Version von libindicator7 installiert werden.

sudo gdebi libindicator7_0.5.0-4_amd64.deb
sudo gdebi libappindicator1_0.4.92-8_amd64.deb 
sudo gdebi discord-0.0.13.deb

4) Starte Discord

discord

 

Danke Steven für den Gastartikel. :)

Kategorie: IT Schlagwörter: , ,

Ubuntu Postman installieren

2021-01-10 von Mario

Mit der Anleitung kann die Software Postman unter Ubuntu Mate installiert werden.

1. System Updaten

Als erstes das System aktualisieren:

sudo apt-get update 
sudo apt-get upgrade

2. Download der aktuellen Version

wget https://dl.pstmn.io/download/latest/linux64 -O postman.tar.gz

3. Entpacken

sudo tar -xzf postman.tar.gz -C /opt

4. Starten

./opt/Postman/Postman
Kategorie: IT